Feature # 28486 (Resolved): Don't clone, use explicit change tracking instead
Has patch:
Complexity:
Subject: Change default policy for Doctrine to DEFERRED_EXPLICIT
Description

    -  change tracking policy -> explicit
    -  no more clone PersistentObjectConverter
    -  Repository adjustments
        -  add($obj) -> throw exception when object is not new
        -  remove($obj) -> throw exception when object is not known in persistence BE
        -  update($obj) -> throw exception when object is not known in persistence BE, call PersistenceBackend::persist()

Biggest change: without update() call no changes will be persisted, no more automatic persistence.

Related issues:
duplicated by TYPO3.Flow - Feature # 28137: Do not use clone in PersistentObj... Closed 2011-07-13 2011-07-13
blocked by TYPO3.Flow - Feature # 29038: Set useful defaults for cascade attr... Resolved 2011-08-17
blocks TYPO3.Flow - Task # 29040: Adjust documentation to new persistence beh... Resolved 2011-08-17

Associated revisions
Revision 49f4d8f4 - 2011-08-26 14:29 - Karsten Dambekalns

[!!!][TASK] Change default policy for Doctrine to DEFERRED_EXPLICIT

This makes Doctrine use deferred explicit change tracking by default.
The PersistentObjectConverter does no longer clone objects and any
changed objects that should be persisted must be handed to update()
on their repository.

Change-Id: I05a07f9cbb4cadba138ad6774a309b8f627e22d2
Resolves: #29039
Related: #28486

History
#1 - 2011-08-22 12:59 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I05a07f9cbb4cadba138ad6774a309b8f627e22d2 has been pushed to the review server.
It is available at http://review.typo3.org/4470
#2 - 2011-08-24 07:18 - Mr. Hudson

Patch set 2 of change I05a07f9cbb4cadba138ad6774a309b8f627e22d2 has been pushed to the review server.
It is available at http://review.typo3.org/4470

#3 - 2011-08-25 17:30 - Mr. Hudson

Patch set 3 of change I05a07f9cbb4cadba138ad6774a309b8f627e22d2 has been pushed to the review server.
It is available at http://review.typo3.org/4470

#4 - 2011-08-26 14:30 - Mr. Hudson

Patch set 4 of change I05a07f9cbb4cadba138ad6774a309b8f627e22d2 has been pushed to the review server.
It is available at http://review.typo3.org/4470

#5 - 2011-08-26 14:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:49f4d8f4f4fbe18ce2b52e9fcb33a11aa1d6985e.
